/*
---------------------------------- Zusatzstoff ----------------------------------
*/
LOAD DATA LOCAL INFILE 'Programmentwurf/E_nummern.csv' INTO TABLE Zusatzstoff
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    (@e, @z, @dummy)
    SET E_Nummer = TRIM(@e), Zusatzstoffbezeichnung = TRIM(@z);


/*
---------------------------------- Produkt ----------------------------------
*/
DROP TEMPORARY TABLE IF EXISTS tmp_import_1;
CREATE TABLE IF NOT EXISTS tmp_import_1
(
    ProduktID   int AUTO_INCREMENT,
    Produktname VARCHAR(100),
    vegetarisch tinyint(1),
    vegan       tinyint(1),
    primary key (ProduktID)
);

LOAD DATA LOCAL INFILE 'Programmentwurf/MD_Produkte_Portionen.csv' INTO TABLE tmp_import_1
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 2 LINES
    (@p, @dummy, @dummy)
    SET Produktname = TRIM(@p);

DELETE
FROM tmp_import_1
ORDER BY ProduktID DESC
LIMIT 4;

INSERT INTO Produkt (SELECT null, Produktname, vegetarisch, vegan FROM tmp_import_1 GROUP BY Produktname);
INSERT INTO Produkt (Produktname)
VALUES ('Butter');
INSERT INTO Produkt (Produktname)
VALUES ('Snack Salat Classic');


/*
---------------------------------- Allergen ----------------------------------
*/
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE Allergen
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET Allergenbezeichnung = TRIM(@a);


/*
---------------------------------- Zusatzstoffklasse ----------------------------------
*/
LOAD DATA LOCAL INFILE 'Programmentwurf/Zusatzstoffe_Klassen.csv' INTO TABLE Zusatzstoffklase
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 2 LINES
    (@b, @g)
    SET Anwendungsgrund = TRIM(@g), Anwendungsgrundbezeichnung = TRIM(@b);


/*
---------------------------------- Produktallergen ----------------------------------
*/
DROP TEMPORARY TABLE IF EXISTS tmp_import_2;
CREATE TABLE IF NOT EXISTS tmp_import_2
(
    AllergenID        int,
    ProduktID         int,
    contains_allergen tinyint(1),
    foreign key (AllergenID) references Allergen (AllergenID),
    foreign key (ProduktID) references Produkt (ProduktID),
    primary key (AllergenID, ProduktID)
);

# Big Mac
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Big Mac'), AllergenID = (SELECT AllergenID
                                                                   FROM Allergen
                                                                   WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Cheeseburger
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Cheeseburger'), AllergenID = (SELECT AllergenID
                                                                        FROM Allergen
                                                                        WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Chicken McNuggets
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Chicken McNuggets'), AllergenID = (SELECT AllergenID
                                                                             FROM Allergen
                                                                             WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Hamburger
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Hamburger'), AllergenID = (SELECT AllergenID
                                                                     FROM Allergen
                                                                     WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Hamburger Royal TS
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Hamburger Royal TS'), AllergenID = (SELECT AllergenID
                                                                              FROM Allergen
                                                                              WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# McChicken
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'McChicken'), AllergenID = (SELECT AllergenID
                                                                     FROM Allergen
                                                                     WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# McRib
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'McRib'), AllergenID = (SELECT AllergenID
                                                                 FROM Allergen
                                                                 WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Pommes Frites
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Pommes Frites'), AllergenID = (SELECT AllergenID
                                                                         FROM Allergen
                                                                         WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Apfeltasche
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Apfeltasche'), AllergenID = (SELECT AllergenID
                                                                       FROM Allergen
                                                                       WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# McSundae Karamell
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'McSundae Karamell'), AllergenID = (SELECT AllergenID
                                                                             FROM Allergen
                                                                             WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# McSundae Schoko
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'McSundae Schoko'), AllergenID = (SELECT AllergenID
                                                                           FROM Allergen
                                                                           WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Milchshake Erdbeergeschmack
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Milchshake Erdbeergeschmack'), AllergenID = (SELECT AllergenID
                                                                                       FROM Allergen
                                                                                       WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Milchshake Schokogeschmack
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Milchshake Schokogeschmack'), AllergenID = (SELECT AllergenID
                                                                                      FROM Allergen
                                                                                      WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Milchshake Vanillegeschmack
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Milchshake Vanillegeschmack'), AllergenID = (SELECT AllergenID
                                                                                       FROM Allergen
                                                                                       WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Butter
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Butter'), AllergenID = (SELECT AllergenID
                                                                  FROM Allergen
                                                                  WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Konfituere Aprikose
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Konfituere Aprikose'), AllergenID = (SELECT AllergenID
                                                                               FROM Allergen
                                                                               WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Konfituere Erdbeere
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Konfituere Erdbeere'), AllergenID = (SELECT AllergenID
                                                                               FROM Allergen
                                                                               WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# McCroissant
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'McCroissant'), AllergenID = (SELECT AllergenID
                                                                       FROM Allergen
                                                                       WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Balsamico Dressing
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Balsamico Dressing'), AllergenID = (SELECT AllergenID
                                                                              FROM Allergen
                                                                              WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Barbecue Sauce
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Barbecue Sauce'), AllergenID = (SELECT AllergenID
                                                                          FROM Allergen
                                                                          WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Chili Sauce
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Chili Sauce'), AllergenID = (SELECT AllergenID
                                                                       FROM Allergen
                                                                       WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Curry Sauce
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Curry Sauce'), AllergenID = (SELECT AllergenID
                                                                       FROM Allergen
                                                                       WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Ketchup
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Ketchup'), AllergenID = (SELECT AllergenID
                                                                   FROM Allergen
                                                                   WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Mayonnaise (80%)
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Mayonnaise (80%)'), AllergenID = (SELECT AllergenID
                                                                            FROM Allergen
                                                                            WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Sauce suesssauer
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Sauce suesssauer'), AllergenID = (SELECT AllergenID
                                                                            FROM Allergen
                                                                            WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Senfsauce
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Senfsauce'), AllergenID = (SELECT AllergenID
                                                                     FROM Allergen
                                                                     WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Snack Salat Classic
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 1 LINES
    (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy,
     @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b, @dummy)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = 'Snack Salat Classic'), AllergenID = (SELECT AllergenID
                                                                               FROM Allergen
                                                                               WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

# Warum ist das zweimal in MD_produkte_Allergene.csv?????
# # Apfeltasche
# LOAD DATA LOCAL INFILE 'Programmentwurf/MD_produkte_Allergene.csv' INTO TABLE tmp_import_2
# CHARACTER SET latin1
# FIELDS terminated by ';'
# LINES TERMINATED BY '\n'
# IGNORE 1 LINES
# (@a, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @dummy, @b)
# SET ProduktID = (SELECT ProduktID from Produkt WHERE Produktname = 'Apfeltasche'), AllergenID = (SELECT AllergenID FROM Allergen WHERE Allergenbezeichnung = TRIM(@a)), contains_allergen = TRIM(@b);

INSERT INTO enthaeltAllergen (SELECT AllergenID, ProduktID, null FROM tmp_import_2 WHERE contains_allergen = 1);


/*
---------------------------------- Menge ----------------------------------
*/
LOAD DATA LOCAL INFILE 'Programmentwurf/MD_Produkte_Portionen.csv' INTO TABLE Menge
    CHARACTER SET latin1
    FIELDS terminated by ';'
    LINES TERMINATED BY '\n'
    IGNORE 2 LINES
    (@produkt, @menge1, @menge2)
    SET ProduktID = (SELECT ProduktID
                     from Produkt
                     WHERE Produktname = @produkt), Menge = (IF(@menge1 != '-', (REPLACE(@menge1, ' g', '')),
                                                                (REPLACE(@menge2, ' ml', '')))), Einheit = (IF(@menge1 != '-', 'g', 'ml'));

DELETE
FROM Menge
ORDER BY MengenID DESC
LIMIT 4;


/*
---------------------------------- enthält Zusatzstoff ----------------------------------
*/
# TODO


/*
---------------------------------- Naehstoff ----------------------------------
*/
# TODO


/*
---------------------------------- Naehrwerte ----------------------------------
*/
# TODO


/*
---------------------------------- eigene Datensätze ----------------------------------
---------------------------------- Personen ----------------------------------
*/
INSERT INTO Person (Personenname, Personenvorname, Naehrwertziel, Ernaerungsstil)
VALUES ('Kaiser', 'Florian', 5000, null);
INSERT INTO Person (Personenname, Personenvorname, Naehrwertziel, Ernaerungsstil)
VALUES ('Amtmann', 'Leon', 10000, null);


/*
---------------------------------- Allergie ----------------------------------
*/
INSERT INTO Allergie (PersonID, AllergenID)
VALUES ((SELECT PersonID FROM Person WHERE Personenname = 'Kaiser'),
        (SELECT AllergenID FROM Allergen WHERE Allergenbezeichnung = 'Glutenhaltiges Getreide'));


/*
---------------------------------- Menu ----------------------------------
*/
INSERT INTO Menu (Menuname)
VALUES ('Test Menu');

/*
---------------------------------- Menucontent ----------------------------------
*/
INSERT INTO Menucontent (MenuID, ProduktID)
VALUES ((SELECT MenuID FROM Menu WHERE Menuname = 'Test Menu'),
        (SELECT ProduktID FROM Produkt WHERE Produktname = 'Cheeseburger'));


/*
---------------------------------- konsumiert ----------------------------------
*/
INSERT INTO konsumiert (PersonID, MenuID, Datum)
VALUES ((SELECT PersonID FROM Person WHERE Personenname = 'Kaiser'),
        (SELECT MenuID FROM Menu WHERE Menuname = 'Test Menu'), now());


/*
---------------------------------- Zusatzstoffunvertraeglichkeit ----------------------------------
*/
INSERT INTO Zusatzstoffunvertraeglichkeit (PersonID, E_Nummer)
VALUES ((SELECT PersonID FROM Person WHERE Personenname = 'Kaiser'),
        (SELECT E_Nummer FROM Zusatzstoff WHERE Zusatzstoffbezeichnung = 'Eisenoxide und Eisenhydroxide'));
INSERT INTO Zusatzstoffunvertraeglichkeit (PersonID, E_Nummer)
VALUES ((SELECT PersonID FROM Person WHERE Personenname = 'Kaiser'),
        (SELECT E_Nummer FROM Zusatzstoff WHERE Zusatzstoffbezeichnung = 'Gold'));
